import { ReactChild, ReactChildren } from "react";
export interface NerdNotifierProps {
    uuid: string;
    icon?: string | JSX.Element;
    variant?: "intrusive" | "non-intrusive";
    severity?: "error" | "warning" | "info" | "success";
    title?: string | JSX.Element;
    subtitle?: string | JSX.Element;
    body?: string | JSX.Element;
    actions?: JSX.Element;
    autohide?: boolean;
    autoHideDuration?: number;
    transition?: "up" | "down" | "left" | "right";
    position?: {
        vertical: "top" | "bottom";
        horizontal: "left" | "right";
    };
    iconColor?: string;
}
export interface AuxProps {
    children?: ReactChild | ReactChildren;
    notification: NerdNotifierProps;
    onClose?: (e: unknown) => void;
    networkHasHttpError: boolean;
}
