/// <reference types="react" />
import { NerdNotifierProps } from "../NerdNotifier.types";
declare type openHookAction = {
    open: boolean;
    setOpen: (open: boolean) => void;
    onHandleClose: (evt: boolean) => void;
};
/**
 *
 * @param {NerdNotifierProps & openHookAction} param0 Component props
 * @returns {JSX.Element} Intrusive nerdNotifier
 */
export declare function Intrusive({ title, subtitle, body, icon, actions, severity, open, setOpen, iconColor, autoHideDuration, autohide, onHandleClose, }: NerdNotifierProps & openHookAction): JSX.Element;
export {};
