import React from "react";
import { NerdNotifierProps } from "../NerdNotifier.types";
declare type openHookAction = {
    open: boolean;
    handleClose: (event?: React.SyntheticEvent | Event, reason?: string) => void;
};
/**
 *
 * @param {NerdNotifierProps & openHookAction} param0 components props
 * @returns {JSX.Element} NonIntrusive nerdNotifier
 */
export declare function NonIntrusive({ uuid, title, transition, severity, subtitle, body, position, actions, autoHideDuration, autohide, open, handleClose, icon, }: NerdNotifierProps & openHookAction): JSX.Element;
export {};
