/// <reference types="react" />
import { NerdAppBarContent, NerdAppBarProps } from ".";
/**
 *
 * @param {object} props Component props
 * @param {string} props.title title of the app
 * @param {string} props.logo Logo of the app
 * @param {string} props.variant Size of the appBar (dense or regular)
 * @param {Array<NerdAppBarContent | JSX.Element>} props.content Height of the appbar. Could be dense or regular.
 * @returns {JSX.Element} UserDisplay component
 */
export declare function NerdAppBar({ title, logo, content, variant, }: NerdAppBarProps): JSX.Element;
/**
 * @param {NerdAppBarContent} c Content of the menu item
 * @returns {JSX.Element} the menu
 */
export declare function NerdAppBarMenuItem(c: NerdAppBarContent): JSX.Element;
